//! # Conversation message
//!
//! Information about a single conversation message

use crate::data::user::UserID;

/// Information about a single conversation message
#[derive(Debug)]
pub struct ConversationMessage {
    pub id: u64,
    pub time_sent: u64,
    pub conv_id: u64,
    pub user_id: UserID,
    pub message: Option<String>,
    pub image_path: Option<String>,
}